#
#  Functions to handle the selection of elements and edges.
#
#
#  Copyright 1999 Illinois Institute of Technology
#
#  See the file "LICENSE" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#

proc create_element_list {} {

	set array IMCAGui::edge_array

	set min_energy $IMCAGui::minimum_edge_energy
	set max_energy $IMCAGui::maximum_edge_energy

	set edge_list [ list k l1 l2 l3 m1 ]

	set channel [ open $IMCAGui::element_filename r ]

	set line [ gets $channel ]

	while { [ eof $channel ] == 0 } {

		scan $line "%s %d %g %g %g %g %g" symbol Z \
				k_edge l1_edge l2_edge l3_edge m1_edge

#		puts -nonewline "symbol = $symbol, Z = $Z, K = $k_edge, "
#		puts \
#		"L1 = $l1_edge, L2 = $l2_edge, L3 = $l3_edge, M1 = $m1_edge"

		foreach edge $edge_list {

			set cmd "set energy \$${edge}_edge"

			eval $cmd

			if { ($energy >= $min_energy) \
			  && ($energy <= $max_energy) } \
			{
				set IMCAGui::edge_array($symbol.$edge) $energy
			}
		}

		set line [ gets $channel ]
	}

#	foreach name [ array names IMCAGui::edge_array ] {
#
#		puts "$name energy = $IMCAGui::edge_array($name)"
#	}

	close $channel
}

